LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XRegressionCurve Interface Reference

`import"XRegressionCurve.idl";`

Inheritance diagram for XRegressionCurve:

## Public Member Functions
XRegressionCurveCalculator | getCalculator ()
::com::sun::star::beans::XPropertySet | getEquationProperties ()
void | setEquationProperties ([in]::com::sun::star::beans::XPropertySet xEquationProperties)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

XRegressionCurveCalculator getCalculator | ( |  | ) |

::com::sun::star::beans::XPropertySet getEquationProperties | ( |  | ) |

void setEquationProperties | ( | [in] ::com::sun::star::beans::XPropertySet | xEquationProperties | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XRegressionCurve.idl